Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
pdumodel::OverCurrentProtectorTripSensor::TripEventInformation Struct Reference

## Public Attributes
Outlet | cause
| Outlet that is most likely to have caused the OCP to trip.
time | timestamp
| Timestamp of trip event.
double | current
| Current flow in outlet causing the event at trip time.

## Detailed Description

Definition at line 18 of file OverCurrentProtectorTripSensor.idl.

## Member Data Documentation

## ◆ cause

Outlet pdumodel::OverCurrentProtectorTripSensor::TripEventInformation::cause

Outlet that is most likely to have caused the OCP to trip.

Definition at line 19 of file OverCurrentProtectorTripSensor.idl.

## ◆ current

double pdumodel::OverCurrentProtectorTripSensor::TripEventInformation::current

Current flow in outlet causing the event at trip time.

If current flow can not be determined, this value is sent as 0.

Definition at line 21 of file OverCurrentProtectorTripSensor.idl.

## ◆ timestamp

time pdumodel::OverCurrentProtectorTripSensor::TripEventInformation::timestamp

Timestamp of trip event.

Definition at line 20 of file OverCurrentProtectorTripSensor.idl.

The documentation for this struct was generated from the following file:

- OverCurrentProtectorTripSensor.idl